<?
#-----------------------------------------------------#
#          ********* Бизнес Сайты *********           #
#             Made by   :  BIZON                      #
#               E-mail  :  blin.alex@bk.ru            #
#                 Site  :  http://f913218p.bget.ru    #
#  Вы не имеете право вносить изменения в код скрипта #
#      это может повлечь неработоспособность сайта    #
#-----------------------------------------------------#


/// ----------------- моби---------------------
function check_mobile_device() {
    $mobile_agent_array = array('ipad', 'iphone', 'android', 'pocket', 'palm', 'windows ce', 'windowsce', 'cellphone', 'opera mobi', 'ipod', 'small', 'sharp', 'sonyericsson', 'symbian', 'opera mini', 'nokia', 'htc_', 'samsung', 'motorola', 'smartphone', 'blackberry', 'playstation portable', 'tablet browser');
    $agent = strtolower($_SERVER['HTTP_USER_AGENT']);
    // var_dump($agent);exit;
    foreach ($mobile_agent_array as $value) {
        if (strpos($agent, $value) !== false) return true;
    }
    return false;
}




// --------------- Функция правильного вывода времени -------------------//
function formattime($file_time) {
	if ($file_time >= 86400) {
		$file_time = round((($file_time / 60) / 60) / 24, 1).' дн.';
	} elseif ($file_time >= 3600) {
		$file_time = round(($file_time / 60) / 60, 1).' час.';
	} elseif ($file_time >= 60) {
		$file_time = round($file_time / 60).' мин.';
	} else {
		$file_time = round($file_time).' сек.';
	}
	return $file_time;
}



////////////////////////////////////////////////////////////////////////////
function str($dan){
$str=rtrim(mb_substr(strip_tags($dan),0,50 ),"!,.-");
$str=substr($str,0,strrpos($str,' '));
return $str;
}


////////////////////////////////////////////////////////////////////////////
function status_us($dan){
if($dan==0) $itog="Пользователь";
if($dan==1) $itog="<span class='price'>Администратор</span>";
return $itog;
}
///////////////////////////////////////////////////////////////////////////
function inf_db($dan,$id,$ban,$gin){
$s_useres= "SELECT * FROM `$dan` WHERE `$id`='$ban'";
$s_usd = mysql_query($s_useres) or die(mysql_error());
$us = mysql_fetch_array($s_usd);
$usd= $us[$gin];
return $usd;
}

///////////////////////////////////////////////////////////////// Валюта
function val($dan){
if($dan==1) $itog="&#x584;";
if($dan==2) $itog="&#36;";
if($dan==3) $itog="&euro;";
if($dan==4) $itog="&#8372;";
return $itog;
}
function vala($dan){
if($dan==1) $itog="RUB";
if($dan==2) $itog="USD";
if($dan==3) $itog="EUR";
if($dan==4) $itog="UAH";
return $itog;
}
///////////////////////////////////////////////////////////////// Почта
function coll_dbmail($db,$log,$us){
$db_c = "SELECT * FROM ".$db." WHERE `".$us."`='".$log."' and `status`!='2'";
$db_go = mysql_query($db_c);
$total = mysql_num_rows($db_go);
return $total;
}
//////////////////////////////////////////// колл по статусу 1 сообщений
function coll_dbmail_status($db,$log,$us){
$db_c = "SELECT * FROM ".$db." WHERE `".$us."`='".$log."' and `status`='0'";
$db_go = mysql_query($db_c);
$total = mysql_num_rows($db_go);
return $total;
}
//////////////////////////////////////////// колл по карзина 1 сообщений
function coll_dbmail_korz($db,$log,$us){
$db_c = "SELECT * FROM ".$db." WHERE `".$us."`='".$log."' and `status`='2'";
$db_go = mysql_query($db_c);
$total = mysql_num_rows($db_go);
return $total;
}
/////////////////////////////////////////////////////////
function check($msg) {
	if (is_array($msg)) {
		foreach($msg as $key => $val) {
			$msg[$key] = check($val);
		}
	} else {
		$msg = htmlspecialchars($msg);
		$search = array('|', '\'', '$', '\\', '^', '%', '`', "\0", "\x00", "\x1A", chr(226) . chr(128) . chr(174));
		$replace = array('&#124;', '&#39;', '&#36;', '&#92;', '&#94;', '&#37;', '&#96;', '', '', '', '');

		$msg = str_replace($search, $replace, $msg);
		$msg = stripslashes(trim($msg));
	}

	return $msg;
}
///////////////////////////////////////////////////////////////////////////////////////// количество комментариев
function coll_comm($razdel,$ider){
$db_c = "SELECT * FROM s_comment WHERE `razdel`='".$razdel."' and `ider`='".$ider."'";
$db_go = mysql_query($db_c);
$total = mysql_num_rows($db_go);
return $total;
}
//////////////////////////////////////////////////////////////////////////////////////////// количество пользователей
function coll_us(){
$db_c = "SELECT * FROM s_useres";
$db_go = mysql_query($db_c);
$total = mysql_num_rows($db_go);
return $total;
}
//////////////////////////////////////////////////////////////////////////////////////////// количество пользователей
function onlain(){
$time=time()-300;
$db_c = "SELECT * FROM s_useres WHERE onli>'$time'";
$db_go = mysql_query($db_c);
$total = mysql_num_rows($db_go);
return $total;
}
//////////////////////////////////////////////////////////////////////////////////////////   профиль пользователей
function prof_dan($dan,$id){
$s_useres= "SELECT * FROM s_useres WHERE id='".$id."' ";
$s_usd = mysql_query($s_useres) or die(mysql_error());
$us = mysql_fetch_array($s_usd);
$usd= $us[$dan];
return $usd;
}
//////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////   профиль пользователей
function prof_danlog($dan,$id){
$s_useres= "SELECT * FROM s_useres WHERE login='".$id."' ";
$s_usd = mysql_query($s_useres) or die(mysql_error());
$us = mysql_fetch_array($s_usd);
$usd= $us[$dan];
return $usd;
}
//////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////   профиль пользователей
function prof_onli($id,$no){
$s_useres= "SELECT * FROM s_useres WHERE id='".$id."' ";
$s_usd = mysql_query($s_useres) or die(mysql_error());
$us = mysql_fetch_array($s_usd);
$tik= $us['onli'];
$time=time()-300;
if($no==1){
$imn="online.gif";
$imf="offline.gif";
}
else
{
$imn="mem_online.gif";
$imf="mem_offline.gif";
}
if($time>$tik)$usd='<img src="images/'.$imf.'" alt="onli"/>';
else
$usd='<img src="images/'.$imn.'" alt="onli"/>';
return $usd;
}
//////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////
function s_userdan($dan){
$s_useres= "SELECT * FROM s_useres WHERE login = '".$_SESSION['log']."' and pass = '".md5($_SESSION['par'])."' ";
$s_usd = mysql_query($s_useres) or die(mysql_error());
$us = mysql_fetch_array($s_usd);
$usd= $us[$dan];
return $usd;
}

//////////////////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////
function id_login($dan){
$s_useres= "SELECT * FROM s_useres WHERE id = '$dan' ";
$s_usd = mysql_query($s_useres) or die(mysql_error());
$us = mysql_fetch_array($s_usd);
$usd= $us['login'];
return $usd;
}
//////////////////////////////////////////////////////////////////////////////////////////
function all_dbname($dan){
$strSQL = "SELECT * FROM $dan";
$rs = mysql_query($strSQL);
$total = mysql_num_rows($rs);
return $total;
}
//////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////
function all_dbnamewat($dan,$ban,$san){
$strSQL = "SELECT * FROM $dan WHERE `$ban`='$san' ";
$rs = mysql_query($strSQL);
$total = mysql_num_rows($rs);
return $total;
}
//////////////////////////////////////////////////////////////////////////////////////////
function all_dbnamewatstatus($dan,$ban,$san,$lan,$fan){
$strSQL = "SELECT * FROM $dan WHERE `$ban`='$san' and `$lan`='$fan' ";
$rs = mysql_query($strSQL);
$total = mysql_num_rows($rs);
return $total;
}
//////////////////////////////////////////////////////////////////////////////////////////
function small_dbnamewatstatus($dan,$ban,$san,$lan,$fan,$nan,$kan){
$strSQL = "SELECT * FROM $dan WHERE `$ban`='$san' and `$lan`='$fan' and `$nan`='$kan' ";
$rs = mysql_query($strSQL);
$total = mysql_num_rows($rs);
return $total;
}
/////////////////////////////////////////////////////////////////////////////////////////
function nosmiles($string) {
	$string = preg_replace('|<img src="\.\./images/smiles/(.*?)\.gif" alt="image" />|', ':$1', $string);
	$string = preg_replace('|<img src="\.\./images/smiles2/(.*?)\.gif" alt="image" />|', ':$1', $string);
	return $string;
}


function highlight_code($code) {

	if (is_array($code)) $code = $code[1];
	$code = nosmiles($code);
	$code = strtr($code, array('&lt;'=>'<', '&gt;'=>'>', '&amp;'=>'&', '&quot;'=>'"', '&#36;'=>'$', '&#37;'=>'%', '&#39;'=>"'", '&#92;'=>'\\', '&#94;'=>'^', '&#96;'=>'`', '&#124;' => '|', '<br />'=>"\r\n"));

	$code = highlight_string($code, true);
	$code = strtr($code, array("\r\n"=>'<br />', '://'=>'&#58//', '$'=>'&#36;', "'"=>'&#39;', '%'=>'&#37;', '\\'=>'&#92;', '`'=>'&#96;', '^'=>'&#94;', '|'=>'&#124;'));

	return '<div class="d">'.$code.'</div>';
}


// ------------------ Вспомогательная функция для bb-кода --------------------//
function img_replaces($m) {
$m=str_replace("http://","",$m);
$file='http://'.$m[1];
$size=getimagesize($file);
$ext=$size['mime'];
$ext2=array("image/jpeg","image/gif","image/png");
if(in_array($ext, $ext2)) {
if(empty($size[0])){
$total='<img src="/images/no.png">';
}else{
if($size[0]>'100' or $size[1]>'100'){
$total='<a href="'.$file.'"><img src="img.php?url='.$file.'&amp;small=100" alt="" /></a>';
}else{
$total='<img src="'.$file.'">';
}}
}else{
$total='<img src="/images/no.png">';
}
return $total;
}
function url_replace($m) {
$m=str_replace("http://","",$m);
return '<a href="http://'.$m[1].'">'.$m[1].'</a>';
}

function bb_code($message) {
    $message = preg_replace_callback('#\[code\](.*?)\[/code\]#si', 'highlight_code', $message);
	$message = preg_replace('#\[big\](.*?)\[/big\]#si', '<big>\1</big>', $message);
	$message = preg_replace('#\[b\](.*?)\[/b\]#si', '<b>\1</b>', $message);
	$message = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $message);
	$message = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $message);
	$message = preg_replace('#\[small\](.*?)\[/small\]#si', '<small>\1</small>', $message);
	$message = preg_replace('#\[red\](.*?)\[/red\]#si', '<span style="color:#ff0000">\1</span>', $message);
	$message = preg_replace('#\[green\](.*?)\[/green\]#si', '<span style="color:#00ff00">\1</span>', $message);
	$message = preg_replace('#\[blue\](.*?)\[/blue\]#si', '<span style="color:#0000ff">\1</span>', $message);
	$message = preg_replace('#\[yellow\](.*?)\[/yellow\]#si', '<span style="color:#ffff00">\1</span>', $message);
	$message = preg_replace('#\[q\](.*?)\[/q\]#si', '<q>\1</q>', $message);
	$message = preg_replace('#\[del\](.*?)\[/del\]#si', '<del>\1</del>', $message);
    $message = preg_replace_callback('~\\[url\\](.+?)\\[/url\\]~', 'url_replace', $message);
	$message = preg_replace_callback('~\\[img\\](.+?)\\[/img\\]~', 'img_replaces', $message);
	$message = preg_replace('#\[br\]#si', '</br>', $message);
    $message = str_replace(":(", '<img src="images/smiles/(.gif" alt="image" /> ', $message);
    $message = str_replace(":)", '<img src="images/smiles/).gif" alt="image" /> ', $message);
    $message = str_replace(":4moks:", '<img src="images/smiles/4moks.gif" alt="image" /> ', $message);
    $message = str_replace(":aaa:", '<img src="images/smiles/aaa.gif" alt="image" /> ', $message);
    $message = str_replace(":agree:", '<img src="images/smiles/agree.gif" alt="image" /> ', $message);
    $message = str_replace(":airkiss:", '<img src="images/smiles/airkiss.gif" alt="image" /> ', $message);
    $message = str_replace(":atlet:", '<img src="images/smiles/atlet.gif" alt="image" /> ', $message);
    $message = str_replace(":baby:", '<img src="images/smiles/baby.gif" alt="image" /> ', $message);
    $message = str_replace(":bant:", '<img src="images/smiles/bant.gif" alt="image" /> ', $message);
    $message = str_replace(":be:", '<img src="images/smiles/be.gif" alt="image" /> ', $message);
	return $message;
}
//////////////////////////////////////////////////////////////////////////////////////////
function page_strnavigation($link, $posts, $start, $total, $range = 3){

	if ($total > 0) {

	   $pg_cnt = ceil($total / $posts);
	   $cur_page = ceil(($start + 1) / $posts);
		$idx_fst = max($cur_page - $range, 1);
		$idx_lst = min($cur_page + $range, $pg_cnt);

		$res = '<div class="pagenavi"><span class="pages">Страница: </span> ';

		if ($cur_page != 1) {
			$res .='<a href="'.$link.'start='.($cur_page - 2) * $posts.'&amp;'.SID.'" title="Назад">&laquo;</a> ';
		}

	   if (($start - $posts) >= 0) {
	      if ($cur_page > ($range + 1)) {
	         $res .= ' <a href="'.$link.'start=0&amp;'.SID.'">1</a> ';
	         if ($cur_page != ($range + 2)) {
	            $res .= ' ... ';
	         }
	      }
	   }

		for ($i = $idx_fst; $i <= $idx_lst; $i++) {
			$offset_page = ($i - 1) * $posts;
			if ($i == $cur_page) {
				$res .= ' <span class="current">'.$i.'</span> ';
			} else {
				$res .= ' <a href="'.$link.'start='.$offset_page.'&amp;'.SID.'">'.$i.'</a> ';
			}
		}

	   if (($start + $posts) < $total) {
	      if ($cur_page < ($pg_cnt - $range)) {
	         if ($cur_page != ($pg_cnt - $range - 1)) {
	            $res .= ' ... ';
	         }
	         $res .= ' <a href="'.$link.'start='.($pg_cnt - 1) * $posts.'&amp;'.SID.'">'.$pg_cnt.'</a> ';
	      }
	   }

		if ($cur_page != $pg_cnt) {
			$res .= ' <a href="'.$link.'start='.($cur_page * $posts).'&amp;'.SID.'" title="Вперед">&raquo;</a>';
		}

		echo $res.'</div>';
	}
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////
function bb_codimg() {
?>
<script type="text/javascript">
<!--
function viewdiv(id){
var el=document.getElementById(id);
if(el.style.display=="block"){
el.style.display="none";
} else {
el.style.display="block";
}
}
//-->
</script>
<?php

echo'<img src="/images/edit/a.gif" id="a">
<img src="/images/edit/b.gif" id="b">
<img src="/images/edit/i.gif" id="i">
<img src="/images/edit/u.gif" id="u">
<img src="/images/edit/small.gif" id="small">
<img src="/images/edit/red.gif" id="red">
<img src="/images/edit/green.gif" id="green">
<img src="/images/edit/blue.gif" id="blue">
<img src="/images/edit/yellow.gif" id="yellow">
<img src="/images/edit/q.gif" id="q">
<img src="/images/edit/del.gif" id="del">
<img src="/images/edit/br.gif" id="br">
<img src="/images/edit/code.gif" id="code">
<img src="/images/edit/img.gif" id="img">';
echo'<br /><a href="javascript:void(0);" onclick="viewdiv(\'mydiv\');">Смайлы</a>
<div id="mydiv" style="display:none;">
<img src="images/smiles/(.gif" id="gr">
<img src="images/smiles/).gif" id="ul">
<img src="images/smiles/4moks.gif" id="moks">
<img src="images/smiles/aaa.gif" id="aaa">
<img src="images/smiles/agree.gif" id="agree">
<img src="images/smiles/airkiss.gif" id="airkiss">
<img src="images/smiles/atlet.gif" id="atlet">
<img src="images/smiles/baby.gif" id="baby">
<img src="images/smiles/bant.gif" id="bant">
<img src="images/smiles/be.gif" id="be">
</div>';
}
//////////////////////////////////////////////////////////////////////////////////////////////////////////
 ?>